Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.interceptor
Class CheckboxInterceptor

    java.lang.Object
      org.apache.struts2.interceptor.CheckboxInterceptor

All Implemented Interfaces:
  Interceptor, java.io.Serializable

    public class CheckboxInterceptor

extends java.lang.Object
implements Interceptor

Looks for a hidden identification field that specifies the original value of the checkbox. If the checkbox isn't submitted, insert it into the parameters as if it was with the value of 'false'.

- setUncheckedValue - The default value of an unchecked box can be overridden by setting the 'uncheckedValue' property.

See Also:
  Serialized Form

Constructor Summary
`CheckboxInterceptor()`

Method Summary
`void` | `destroy()`
`void` | `init()`
`java.lang.String` | `intercept(ActionInvocation ai)`
`void` | `setUncheckedValue(java.lang.String uncheckedValue)` Overrides the default value for an unchecked checkbox

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckboxInterceptor

    public CheckboxInterceptor()

Method Detail

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Interceptor`

### init

    public void init()

  Specified by:
    `init` in interface `Interceptor`

### intercept

    public java.lang.String intercept(ActionInvocation ai)
                               throws java.lang.Exception

  Specified by:
    `intercept` in interface `Interceptor`
  Throws:
    `java.lang.Exception`

### setUncheckedValue

    public void setUncheckedValue(java.lang.String uncheckedValue)

  Overrides the default value for an unchecked checkbox

  Parameters:
    `uncheckedValue` - The uncheckedValue to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.